/*
Copyright (c) 2007 Matt Williams matt@milliams.com

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License or (at
your option) version 3 or, at the discretion of KDE e.V. (which shall
act as a proxy as in section 14 of the GPLv3), any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KEDUCABUILDER_H
#define KEDUCABUILDER_H

#include <KXmlGuiWindow>

class KEducaMainWidget;
class KQtiAssessmentTest;

/**
 * \class KEducaBuilder
 */

class KEducaBuilder : public KXmlGuiWindow
{
    Q_OBJECT

    public:
        KEducaBuilder();
        ~KEducaBuilder();
        
        QString url() const {return mUrl;}

    private:
        void setupActions();
        void saveAsTest(const QString &outputFileName);
        
        KEducaMainWidget* mainWidget;
        KQtiAssessmentTest* assessmentTest;
        QString mUrl;
    
    public slots:
        void initObject();
        void newTest();
        void openTest();
        void saveTest();
        void saveAsTest();
    
    private slots:
};

#endif
