/***************************************************************************
 *   Copyright (C) 2005 by Michael Goettsche                               *
 *   michael.goettsche@kdemail.net                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kedulaunch.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("KEduLaunch - KDE-Edu application launcher");

static const char version[] = "0.1";

int main(int argc, char **argv)
{
    KAboutData about("kedulaunch", I18N_NOOP("KEduLaunch"), version, description,
		     KAboutData::License_Custom, "(C) 2005 Michael Goettsche", 0, 0, "michael.goettsche@kdemail.net");
    about.addAuthor( "Michael Goettsche", "Author", "michael.goettsche@kdemail.net" );
    KCmdLineArgs::init(argc, argv, &about);
    KApplication app;
    KEduLaunch *mainWin = 0;

    mainWin = new KEduLaunch(0, "KEduLaunch");
    app.setMainWidget(mainWin);
    mainWin->show();

    return app.exec();
}

