/***************************************************************************
 *   Copyright (C) 2004 by Trenton Carr                                    *
 *   trenton.carr@gmail.com                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.           *
 ***************************************************************************/
#ifndef HYPERBOLA_H
#define HYPERBOLA_H

#include "ui_HyperbolaD.h"
#include "ui_HyperInputD.h"
//Added by qt3to4:
#include <QPaintEvent>

class QWidget;

class KPlotWidget;

/**
@author Trenton Carr
*/
class Hyperbola : public HyperbolaD
{
    Q_OBJECT
public:
    Hyperbola(QWidget *parent = 0, const char *name = 0);

    ~Hyperbola();

protected:
    virtual void paintEvent( QPaintEvent* );
    void clearBoxes();

protected slots:
    void slotUpdateHyperbola();

private:
    void initObjects();
    void allDisconnect();
    KPlotWidget *pw;
    HyperInputD *hi;
    double _x,_y;
    bool line_or_parabola;
    int solveCubic (double a, double b, double c, double *x0, double *x1, double *x2);

public slots:
    virtual void slotStraight_Line();
    virtual void slotParabola();
    virtual void slotShowTheory();
};

#endif
