/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(POSITION__H)

#define POSITION__H

#include "qglobal.h"

class Position
{
	public:
		Position();
		Position(double lat, double lon);

	public:
		bool isValid() const { return m_Valid; }

		double latitude() const { return m_Latitude; }
		double longitude() const { return m_Longitude; }

		qint32 distanceTo(const Position& other) const; ///< distance to another Position in milli-meters

		void set(double lat, double lon) { m_Latitude = lat; m_Longitude = lon; m_Valid = (lat != Invalid && lon != Invalid); }

		static const double Invalid;

	private:
		bool m_Valid;
		double m_Latitude;
		double m_Longitude;
};

#endif
