/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(GARMINTRAININGCENTEREXPORTER__H)

#define GARMINTRAININGCENTEREXPORTER__H

#include "core/types.h"

#include "fileexport/exporterinterface.h"

class QXmlStreamWriter;
class QString;

class GarminTrainingCenterExporter : public ExporterInterface
{
	public:
		GarminTrainingCenterExporter();

	protected:
		virtual bool writeRootElement(QXmlStreamWriter& xml, const Activities& activities);
		virtual bool writeActivities(QXmlStreamWriter& xml, const Activities& activities);
		virtual bool canExport(const QString& suffix, const Activities& activities);
		virtual QString fileFormat() const;

		static bool writeTrack(QXmlStreamWriter& xml, const Track& trk);
		static bool writeLap(QXmlStreamWriter& xml, const Lap& lap);
		static bool writeActivity(QXmlStreamWriter& xml, const Activity& a);
};

#endif
