/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(IMPORTERINTERFACE__H)

#define IMPORTERINTERFACE__H

#include "core/types.h"

#include <QObject>
#include <QString>

#if defined(Q_OS_MAC)
// See exporterinterface.h about why this is needed.
#include <QXmlStreamReader>
#else
class QXmlStreamReader;
#endif

class ImporterInterface : public QObject
{
	Q_OBJECT

	public:
		ImporterInterface(const QString& reName);
		virtual ~ImporterInterface() {}

	signals:
		void progress(int);

	public:
		virtual bool run(QXmlStreamReader& xml, Activities& activities);

		virtual void parseRootElement(QXmlStreamReader& xml, Activities& activities) = 0;
		virtual bool canImport(const QString& root) = 0;
		virtual QString fileFormat() const = 0;

	protected:
		const QString m_RootElementTagName;
};

#endif
