/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(CATEGORIESDOCKWIDGET__H)

#define CATEGORIESDOCKWIDGET__H

#include "ui_categoriesdockwidget.h"

#include <QWidget>

class Activity;
class Profile;
class Category;

class CategoriesDockWidget: public QWidget, public Ui::CategoriesDockWidget
{
	Q_OBJECT

	public:
		CategoriesDockWidget(QWidget* parent = NULL);

	signals:
		void selectedCategoryChanged(Category*);

	public:
		void clear();
		Category* selectedCategory() const;
		void updateCategoryTree(Profile* profile);

	protected slots:
		void on_categoriesTree_itemSelectionChanged();
};

#endif
