/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(EDITPROFILEDIALOG__H)

#define EDITPROFILEDIALOG__H

#include <QDialog>

#include "ui_editprofiledialog.h"

class QWidget;
class Profile;

class EditProfileDialog : public QDialog, public Ui::EditProfileDialog
{
	Q_OBJECT
	Q_DISABLE_COPY(EditProfileDialog)

	public:
		EditProfileDialog(QWidget* parent, Profile& profile);
		~EditProfileDialog();

	protected:
		void setupDialog();
		void setupConnections();

	protected slots:
		void setDirty(bool b = true);
		void accept();
		void reject();

	private:
		Profile& m_Profile;
};

#endif
