/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(GRAPHDOCKWIDGET__H)

#define GRAPHDOCKWIDGET__H

#include "ui_graphdockwidget.h"

#include <QWidget>

class Activity;
class QButtonGroup;

class GraphDockWidget: public QWidget, public Ui::GraphDockWidget
{
	Q_OBJECT

	public:
		GraphDockWidget(QWidget* parent = NULL);

	public:
		void init();
		void setupConnections();

	public:
		void setActivity(const Activity* activity) { m_Activity = activity; drawGraph(); }
		void drawGraph();

	protected slots:
		void onGraphTypeButtonClicked(int id);

	private:
		const Activity* m_Activity;
		QButtonGroup* m_GraphTypeGroup;
};

#endif
