/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "util/weather.h"

#include <QObject>
#include <QStringList>

const QStringList& Weather::icons()
{
	static QStringList* list = NULL;

	if (list == NULL)
	{
		list = new QStringList();

		*list <<
			"weather-none-available" <<
			"weather-clear" <<
			"weather-mist" <<
			"weather-clouds" <<
			"weather-many-clouds" <<
			"weather-showers-scattered" <<
			"weather-showers" <<
			"weather-storm" <<
			"weather-snow";
	}

	return *list;
}

const QStringList& Weather::descriptions()
{
	static QStringList* list = NULL;

	if (list == NULL)
	{
		list = new QStringList();

		*list <<
			QObject::tr("unknown", "weather condition") <<
			QObject::tr("clear", "weather condition") <<
			QObject::tr("hazy", "weather condition") <<
			QObject::tr("cloudy", "weather condition") <<
			QObject::tr("overcast", "weather condition") <<
			QObject::tr("rain showers", "weather condition") <<
			QObject::tr("rain", "weather condition") <<
			QObject::tr("storm", "weather condition") <<
			QObject::tr("snow", "weather condition");
	}

	return *list;
}
