/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#if !defined(ACTIONCOLLECTION__H)

#define ACTIONCOLLECTION__H

#include <QObject>

#if defined(HAVE_KDE)

#include <kactioncollection.h>

namespace Veneer
{

	class ActionCollection : public KActionCollection
	{
		public:
			ActionCollection(QObject* parent) : KActionCollection(parent) {}
	};

}

#else

#include <kaction.h>

namespace Veneer
{

	class ActionCollection : public QObject
	{
		Q_OBJECT

		public:
			ActionCollection(QObject* parent);
			virtual ~ActionCollection() {}

		public:
			QAction* addAction(const QString& name, const QObject* recv, const char* slot);
			QAction* addAction(const QString& name, QAction* a);
			QAction* action(const QString& name);

		private:
			QMap<QString, QAction*> m_ActionsByName;
			QList<QAction*> m_Actions;
	};

}

#endif

#endif
